import pygame

class Camera(object):
    def __init__(self, map, ship, size, pos):
        self.dest_rect = pygame.Rect(pos, size)
        self.rect = pygame.Rect((0,0), size)
        self.map = map
        self.ship = ship
        self.map_size = self.map_width, self.map_height = self.map.rect.size
        
    def update(self, events, ticks):
        self.rect.center = self.ship.rect.center
        if not self.map.rect.contains(self.rect):
            if self.rect.top < 0:
                self.rect.top = 0
            elif self.rect.bottom > self.map_height:
                self.rect.bottom = self.map_height
            if self.rect.left < 0:
                self.rect.left = 0
            elif self.rect.right > self.map_width:
                self.rect.right = self.map_width
        return events
    
    def draw(self, screen):
        screen.blit(self.map.surf, self.dest_rect, self.rect)
        