import os, sys

import pygame

import gui

from gallox.settings import *

pth = lambda name: os.path.join(GUI_DATA_PATH, name)

window_image = gui.FrameImageHandler(pth("window.png"), "alpha")

scrollbar_image = gui.FrameImageHandler(pth("scrollbar.png"), "alpha")
slider_image = gui.FrameImageHandler(pth("slider.png"), "alpha")

main_font = pygame.font.Font(pth("handwriting.ttf"), 15)
active_font = pygame.font.Font(pth("handwriting.ttf"), 15)
#active_font.set_bold(True)
active_font.set_underline(True)

main = {
        # general styles, for all widgets
        "font": main_font,
        
        # class specific styles
        "editor_bgcolor":(204,204,204),
        "window_image": window_image,
        "window_borderwidth": 10,
 
        
        "menubutton_overlay": gui.PlainColorImageHandler((0,0,0,100)),
        "menubutton_overlaybg": (0, 0, 0),
        "menubutton_overlay_active": None,
        
        "slider_image": slider_image,
        "scrollbar_image": scrollbar_image,
       
#        "editoribut_overlay": gui.PlainColorImageHandler((204,204,204,100)),
#        "editoribut_overlaybg": (204,204,204),
#        "editoribut_overlay_active": None,
    }
    

panel_image = gui.FrameImageHandler(pth("panel.png"), "alpha")
panel_active_image = gui.FrameImageHandler(pth("panel_active.png"), "alpha")

    
panel_list = {
    "panelswitch_image": panel_image,
    "textcolor": (200,200,200),
    "panelswitch_image_active": panel_active_image,
    "textcolor_active": (50,50,50),
    }
    
head = {"bgcolor": (0,0,0)}

sprite_editor = {
        
        "map_borderwidth": 15,
        "font_active": active_font,
#        "map_image": window_image,
        
        }