import pygame

from gallox.utils import load_image
from gallox.sprites.common import Bullet, SmallExplosion

class Gun(pygame.sprite.Sprite):
    # shots per minute
    frequency = 10
    def __init__(self, pos, rot, world, *groups):
        pygame.sprite.Sprite.__init__(self, *groups)
        self.world = world
        self.rot = rot
        self.image, self.rect = load_image("gun",alpha=True)
        self.image = pygame.transform.rotozoom(self.image, rot, 1)
        self.rect = self.image.get_rect(topleft=pos)
        self.delta = 0
        
    def update(self, events, ticks):
        if ticks > self.delta:
            self.delta += 60. / self.frequency * 1000
            GunBullet(self.rect.center, self.rot, self.world, self.groups())
        self.delta -= ticks
        
class GunBullet(Bullet):
    speed = 0.01
    def explode(self):
        SmallExplosion(self.rect.center, self.map.allsprites)
         
