import pygame

from gallox.utils import load_image, load_sound

class Plattform(pygame.sprite.Sprite):
    def __init__(self, pos, size, world, *groups):
        pygame.sprite.Sprite.__init__(self, *groups)
        self.world = world
        self.image, self.rect = load_image("plattform")
        self.image = pygame.transform.scale(self.image, size)
        self.rect = self.image.get_rect(topleft=pos)
        self.docked_sound = load_sound("plattform2.wav")
        
    def dock(self, ship):
        print "ship docked successfully"
        self.docked_sound.play(loops=-1)
        
    def undock(self):
        print "undocked"
        self.docked_sound.stop()