
import time

import pygame

from gallox.map import Map
from gallox.camera import Camera
from gallox.ui.game import StatusOverlay
from gallox.replay import Recorder, Player
from gallox.sprites import *
from gallox.settings import *


class World(object):
    def __init__(self, name, replay=None):
#    def __init__(self, name, replay="testlevel_19-04-10.rpl"):
        # ...
        self.clock = pygame.time.Clock()
        self.map = Map(name, self)
        CAMERA_POS = (20,20)
        self.cam = Camera(self.map, self.map.ship, CAMERA_SIZE, CAMERA_POS)
        self.ui = StatusOverlay(CAMERA_POS, CAMERA_SIZE, self)
        # normal game, record events
        if not replay:
            #! make_unique(path)
#            path = os.path.join(PROJECT_DIR, "replays", 
#                                    time.strftime("%s_%%d-%%m-%%y.rpl" % os.path.split(name)[1]))
#            print "record to", path
#            print "components", PROJECT_DIR, "replays", time.strftime("%s_%%d-%%m-%%y.rpl" % name)
#            self.recorder = Recorder(path, filter="only",
#                                     events=[pygame.KEYDOWN, pygame.KEYUP],
#                                     autostart=True)
            self.replay = False
        else:
            path = os.path.join(PROJECT_DIR, "replays", replay)
            self.player = Player(path, autostart=True)
            self.replay = True
        
    def update(self, events):
        ticks = self.clock.tick()
        if not self.replay:
#            self.recorder.update(events)
            events, drects = self.map.update(events, ticks)
        else:
            ev, drects = self.map.update(self.player.get_events(), ticks)
        events = self.cam.update(events, ticks)
        return events, drects

    def blit(self, screen):
        self.cam.draw(screen)
        self.ui.draw(screen)
            
